Bug 5837 - bug in loop unrolling
bug in loop unrolling
Status: RESOLVED FIXED
Product: gcc
Classification: Unclassified
Component: fortran
3.0.4
: P3 normal
: ---
Assigned To: Toon Moene
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-05 05:46 UTC by valera.veryazov
Modified: 2003-09-23 22:14 UTC (History)
1 user (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments
main.f (528 bytes, application/octet-stream)
2003-05-21 15:17 UTC, valera.veryazov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description valera.veryazov 2002-03-05 05:46:01 UTC
The code (see attachment) produces a Segnematation fault,
if flags " -O  -funroll-loops" are used.

Change of parameter to 12, 16 gives a correct result.
Also, a change of declaration Character *64 to, say,
Character*45 produces a funny number instead 0.

Removing -unroll-loops flag or using unrolling by hands
also 'fix' the problem.

Release:
3.0.4

Environment:
Linux Mandrake 8.1. GCC/G77 compiled from the source code.

How-To-Repeat:
just compile the code with -O  -funroll-loops flags.
Comment 1 Toon Moene 2002-04-13 07:23:52 UTC
Responsible-Changed-From-To: unassigned->toon
Responsible-Changed-Why: My job
Comment 2 Toon Moene 2002-04-13 07:23:52 UTC
State-Changed-From-To: open->closed
State-Changed-Why: Apparently fixed for 3.1